CC=cc
CFLAGS=-I/usr/local/include -I../../deps/ 
DEPS = mnettoss.c
JAMLIB = ../../deps/jamlib/jamlib.a
OBJ = mnettoss.o

all: mnettoss

%.o: %.c $(DEPS)
	$(CC) -c -o $@ $< $(CFLAGS)

$(JAMLIB):
	cd ../../deps/jamlib && make -f Makefile.linux

mnettoss: $(OBJ) $(JAMLIB)
	$(CC) -o mnettoss $^ $(CFLAGS) -L/usr/local/lib 
	
.PHONY: clean

clean:
	rm -f $(OBJ) mnettoss
